package mocman.interpreter;

import java.util.*;

public class OutputHandler
{
	//private static Queue<String> q=new Queue<String>();
	private static Vector<Handler> h=new Vector<Handler>();
	public static void add(Handler handler)
	{
		h.addElement(handler);
	}
	public static void print(String s)
	{
		for (int i=0;i<h.size();i++) h.get(i).print(s);
	}
	public static void pause(String s)
	{
		for (int i=0;i<h.size();i++) h.get(i).pause(s);
	}
	public static String input(String s)
	{
		StringBuilder result=new StringBuilder();
		for (int i=0;i<h.size();i++) result.append(h.get(i).input(s));
		return result.toString();
	}
	public static void message(String s)
	{
		for (int i=0;i<h.size();i++) h.get(i).message(s);
	}

}
